package com.arms.config;

import com.arms.api.bbs.model.entity.BbsEntity;
import com.arms.api.blog.model.entity.BlogEntity;
import com.arms.api.clientcase.model.ClientCaseEntity;
import com.arms.api.newsletter.model.entity.NewsletterEntity;
import com.arms.api.poc.model.entity.PocEntity;
import com.arms.api.fluentd.model.entity.FluentdEntity;
import com.arms.api.holidayadmin.model.entity.HolidayEntity;
import com.arms.api.issue.almapi.model.entity.AlmIssueEntity;
import com.arms.api.serverinfo.model.entity.ServerInfoEntity;
import com.arms.api.wiki.model.WikiEntity;
import com.arms.api.admin.indexstatus.model.entity.IndexStatusEntity;
import com.arms.egovframework.javaservice.esframework.config.EsRepositoryWrapperConfig;
import com.arms.egovframework.javaservice.esframework.repository.common.EsCommonRepositoryWrapper;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class EntityClassConfig extends EsRepositoryWrapperConfig {


    @Bean
    public EsCommonRepositoryWrapper<ServerInfoEntity> serverInfoEntityWrapper() {
        return repositoryOf(ServerInfoEntity.class);
    }

    @Bean
    public EsCommonRepositoryWrapper<AlmIssueEntity> almIssueEntityWrapper() {
        return repositoryOf(AlmIssueEntity.class);
    }

    @Bean
    public EsCommonRepositoryWrapper<FluentdEntity> fluentdEntityWrapper() {
        return repositoryOf(FluentdEntity.class);
    }

    @Bean
    public EsCommonRepositoryWrapper<BbsEntity> bbsEntityWrapper() {
        return repositoryOf(BbsEntity.class);
    }

    @Bean
    public EsCommonRepositoryWrapper<WikiEntity> wikiEntityWrapper() {
        return repositoryOf(WikiEntity.class);
    }

    @Bean
    public EsCommonRepositoryWrapper<HolidayEntity> holidayEntityWrapper() {
        return repositoryOf(HolidayEntity.class);
    }

    @Bean
    public EsCommonRepositoryWrapper<IndexStatusEntity> indexStatusEntityWrapper() {
        return repositoryOf(IndexStatusEntity.class);
    }

    @Bean
    public EsCommonRepositoryWrapper<BlogEntity> blogEntityWrapper() {
        return repositoryOf(BlogEntity.class);
    }

    @Bean
    public EsCommonRepositoryWrapper<PocEntity> pocEntityWrapper() {
        return repositoryOf(PocEntity.class);
    }

    @Bean
    public EsCommonRepositoryWrapper<NewsletterEntity>  newsletterEntityWrapper() {
        return repositoryOf(NewsletterEntity.class);
    }

    @Bean
    public EsCommonRepositoryWrapper<ClientCaseEntity>  clientCaseWrapper() {
        return repositoryOf(ClientCaseEntity.class);
    }

}
